List transaction balances

List transaction balances.

Use this endpoint to retrieve the details for one or more transactions. This endpoint could be useful if your customer has a dispute or needs credit card refinancing.

Note: This endpoint requires an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 1

Account ID

Query Params
int64

Statement ID

transactionIds
array of int64s

Transaction IDs

transactionIds
transactionTypeId
array of int64s

One or more transaction type IDs

transactionTypeId
boolean

Should returned transactions have a positive balance? true: Return only transactions with balance > 0. false: Return only transactions with balance = 0. Default is all transactions.

int32
Defaults to 1

Page number

int32

Items per page. Default is 10.

boolean

If true, a 200 response includes the following additional fields for each transaction.

  • statement_id
  • cycle
  • cycle_closing_date
  • due_date
  • real_due_date
  • previous_balance
  • debits
  • credits
  • current_balance
  • minimum_payment
  • status
string
enum

Filter the results by balance type. Possible values:

  • OPEN: Statement is open. This is the current statement, before cycle closing.
  • CLOSED: Statement is closed, and the due date has already passed.
  • CLOSED_NOT_DUE: Statement is closed, but the due date has not yet passed. In other words, the current date is between the statement's cycle closing date and due date.
  • FUTURE: Future statement. That is, a statement that has not been opened yet. Statements with this status usually include installments from purchases that will be due in future billing cycles.

Note: You can only filter by balance type if with_statement is set to true. If with_statement is not set or is set to false, the balanceType parameter is ignored.

Allowed:
Responses

Language
Credentials
Bearer
Account JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json